org.apache.solr.common.cloud

## Class ClusterState.CollectionRef

- java.lang.Object
- - org.apache.solr.common.cloud.ClusterState.CollectionRef

Enclosing class:
  ClusterState

    public static class ClusterState.CollectionRef
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ClusterState.CollectionRef(DocCollection coll)`

### Method Summary

Methods
`DocCollection` `get()`
`boolean` `isLazilyLoaded()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClusterState.CollectionRef

    public ClusterState.CollectionRef(DocCollection coll)

### Method Detail

#### get

    public DocCollection get()

#### isLazilyLoaded

    public boolean isLazilyLoaded()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`